Package: org.grails.spring

## [Java] Class GrailsContextEvent

- org.grails.spring.GrailsContextEvent

-     public class GrailsContextEvent
      extends org.springframework.context.ApplicationEvent

  Signals various events related to the Grails context loading.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DYNAMIC_METHODS_REGISTERED` |
    `private int` | `eventType` |
    `private static long` | `serialVersionUID` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsContextEvent (org.springframework.web.context.WebApplicationContext ctx, int eventType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getEventType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.context.ApplicationEvent` | `org.springframework.context.ApplicationEvent#getTimestamp(), org.springframework.context.ApplicationEvent#getSource(), org.springframework.context.ApplicationEvent#toString(), org.springframework.context.ApplicationEvent#wait(long), org.springframework.context.ApplicationEvent#wait(long, int), org.springframework.context.ApplicationEvent#wait(), org.springframework.context.ApplicationEvent#equals(java.lang.Object), org.springframework.context.ApplicationEvent#hashCode(), org.springframework.context.ApplicationEvent#getClass(), org.springframework.context.ApplicationEvent#notify(), org.springframework.context.ApplicationEvent#notifyAll()`

- - ### Field Detail

    - #### public static final int DYNAMIC_METHODS_REGISTERED

    - #### private int eventType

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public GrailsContextEvent(org.springframework.web.context.WebApplicationContext ctx, int eventType)

  - ### Method Detail

    - #### public int getEventType()